> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a history item

> Soft-deletes a history item by setting the deleted flag to true



## OpenAPI

````yaml /api-reference/oda-history-service-1.0.0.yml post /history/commands/delete-item
openapi: 3.0.1
info:
  title: oda-history-service
  version: 1.0.0
servers: []
security: []
paths:
  /history/commands/delete-item:
    post:
      summary: Delete a history item
      description: Soft-deletes a history item by setting the deleted flag to true
      operationId: deleteItem
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/DeleteHistoryItemApi.DeleteHistoryItemCommand
        required: true
      responses:
        '200':
          description: Successfully deleted the history item
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Void'
        '404':
          description: History item not found
components:
  schemas:
    DeleteHistoryItemApi.DeleteHistoryItemCommand:
      type: object
      properties:
        historyItemId:
          type: string
          description: ID of the history item to delete
      description: Command to delete a history item
    Void:
      type: object

````